/*--------- CUSTOM CSS ---------*/

:root {
  --maincolor: #303030;
  --border-radius: 5px;
  --neonblue: #14ffec;
  --neondarkblue: #0d7377;
  --constructyellow: #ffb101;
}

html {
  scroll-behavior: smooth;
}

body {
  background: linear-gradient(27deg, #151515 5px, transparent 5px) 0 5px,
    linear-gradient(207deg, #151515 5px, transparent 5px) 10px 0px,
    linear-gradient(27deg, #222 5px, transparent 5px) 0px 10px,
    linear-gradient(207deg, #222 5px, transparent 5px) 10px 5px,
    linear-gradient(90deg, #1b1b1b 10px, transparent 10px),
    linear-gradient(
      #1d1d1d 25%,
      #1a1a1a 25%,
      #1a1a1a 50%,
      transparent 50%,
      transparent 75%,
      #242424 75%,
      #242424
    );
  background-color: #131313;
  background-size: 20px 20px;
  overflow-x: hidden;
}

body * {
  font-family: "Teko", sans-serif;
}
figure {
  margin: 0 !important;
}

.wfh_maincontent * {
  font-family: "Teko", sans-serif;
}

.wfh_maincontent {
  position: relative;
}

/*h1, h2, h3, p, a {
  color: var(--maincolor);
}*/

div#wfh_header_container {
  height: 75vh;
  display: flex;
  justify-content: center;
  align-items: center;
}

.wfh_header {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  background: white;
  padding: 50px;
  border-radius: var(--border-radius);
  box-shadow: rgba(255, 255, 255, 0.4) 5px 5px,
    rgba(255, 255, 255, 0.3) 10px 10px, rgba(255, 255, 255, 0.2) 15px 15px,
    rgba(255, 255, 255, 0.1) 20px 20px, rgba(255, 255, 255, 0.05) 25px 25px;
}

.wfh_header * {
  margin: 0;
  padding: 0;
  text-align: left;
  width: 100%;
  text-transform: uppercase;
  display: flex;
  justify-content: center;
  line-height: 60px;
  color: var(--maincolor);
}

.wfh_header img {
  width: 150px;
  margin-bottom: 1rem;
  border-radius: 70px;
}

.wfh_header p {
  text-transform: unset;
}

.wfh_maincontent {
  display: flex;
  width: 100%;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

/**Footer*/

footer.wfh_mainfooter {
  display: flex;
  justify-content: center;
  align-items: center;
  margin-top: 150px;
}

#wfh_footercontent {
  background: white;
  height: 75px;
  display: flex;
  align-items: center;
  padding: 0 1rem;
  justify-content: space-between;
}

#wfh_footercontent a#open_preferences_center,
#wfh_footercontent a {
  width: 30px;
  height: 30px;
  display: block;
}

.wfh_footer {
  position: relative;
}

.wfh_footer::after {
  content: "";
  rotate: 180deg;
  width: 100%;
  height: 100%;
  position: absolute;
  top: 0;
  left: 0;
  box-shadow: rgba(255, 255, 255, 0.4) 0px 5px,
    rgba(255, 255, 255, 0.3) 0px 10px, rgba(255, 255, 255, 0.2) 0px 15px,
    rgba(255, 255, 255, 0.1) 0px 20px, rgba(255, 255, 255, 0.05) 0px 25px;
  pointer-events: none;
}

.wfh_morecontent {
  width: 100%;
  background: white;
}

.wfh_divider {
  position: relative;
  width: 100%;
  height: 200px;
}

.wfh_divider_margin10 {
  margin: 10px 0;
}

#wfh_aboutme {
  display: flex;
  justify-content: center;
  font-size: 24px;
  padding: 2rem 0;
  flex-direction: column;
  align-items: center;
  width: 1200px;
  margin: 0 auto;
}

.wfh_aboutme_origin {
  margin: 2rem 0;
}

.wfh_aboutme_origin p:nth-child(2n) {
  justify-content: end;
}

.wfh_aboutme_origin p {
  display: flex;
}

.wfh_aboutme_origin img {
  width: 50px;
  margin: 0 10px;
  height: 28px;
}

.wfh_aboutme_timeline,
.wfh_aboutme_skills,
.wfh_aboutme_certificates {
  width: 100%;
  margin: 3rem 0;
}

.wfh_aboutme_skills ul li::marker {
  display: none;
  content: "";
}

.wfh_aboutme_skills_table_group_element_skills ul {
  display: flex;
  flex-direction: column;
  gap: 0.5em;
  padding: 0 !important;
}

.wfh_aboutme_skills_table_group_element p {
  text-decoration: underline;
}

.wfh_aboutme_skills_table_groups {
  display: grid;
  grid-template-columns: 33.3% 33.3% 33.3%;
  justify-content: center;
  text-align: center;
}

.wfh_aboutme_certificates .wfh_aboutme_certificates_slider h3 {
  text-align: center;
}

.wfh_aboutme_certificates_slider img {
  width: 400px;
}

.wfh_aboutme_certificates_slider .splide__list {
  align-items: center;
}

/**Contact**/
div#wfh_contact,
div#wfh_socials {
  text-align: center;
  font-size: 24px;
  margin: 1rem 0 6rem;
}

h2.wfh_project_title {
  display: flex;
  justify-content: center;
}

#wfh_projects {
  display: flex;
  justify-content: center;
  font-size: 24px;
  padding: 2rem 0;
  flex-direction: column;
  align-items: center;
  width: 100%;
  margin: 0 auto;
}

.wfh_project_elements {
  position: relative;
  width: 100%;
}

.wfh_project_element {
  width: 1200px;
  margin: 2rem auto;
  border: 1px solid #ddd;
  padding: 0rem 2rem 2rem;
  border-radius: 15px;
}

.wfh_project_element:not(:first-of-type) {
  margin: 4rem auto;
}

.wfh_project_element:last-of-type {
  margin: 4rem auto 1rem;
}

.wfh_centertext {
  text-align: center;
}

.wfh_margintop2rem {
  margin-top: 2rem;
}

.wfh_marginbottom2rem {
  margin-bottom: 2rem;
}

.splide__arrow svg {
  fill: white !important;
}

.splide__arrow--prev,
.splide__arrow--next {
  background: none !important;
}

.splide__slide a {
  border-radius: 15px;
}

.wfh_ancientjumper img {
  border-radius: 15px;
  width: 180px;
}

.wfh_deathraceproject img,
.wfh_deathraceproject video {
  border-radius: 15px;
  width: 100%;
  height: 224px;
}

.wfh_escapedeath img {
  border-radius: 15px;
  width: 100%;
  height: 200px;
}

.wfh_defconzero img {
  border-radius: 15px;
  width: 100%;
  height: 224px;
}

.wfh_fluffyfling img {
  border-radius: 15px;
  width: 100%;
  height: 224px;
}

.wfh_sharkrescue img {
  border-radius: 15px;
  width: 100%;
  height: 224px;
}
.wfh_shadershift img {
  border-radius: 15px;
  width: 100%;
  height: 224px;
}

.wfh_sharkrescue iframe,
.wfh_escapedeath iframe,
.wfh_deathraceproject iframe,
.wfh_shadershift iframe {
  border-radius: 15px;
  width: 386px;
  height: 100%;
}

/*Websites*/

.wfh_ap24website img,
.wfh_angelcleanwebsite img,
.wfh_oargstudiowebsite img,
.wfh_wwbabyyogawebsite img,
.wfh_kleinesatelierwebsite img {
  border-radius: 15px;
  width: 100%;
  height: 224px;
}

.wfh_ap24website img,
.wfh_angelcleanwebsite img {
  box-shadow: rgba(50, 50, 93, 0.25) 0px 2px 5px -1px,
    rgba(0, 0, 0, 0.3) 0px 1px 3px -1px;
}

ul#splideap24website-list,
ul#splideangelcleanwebsite-list {
  padding: 0.5rem 0 !important;
}

/*Models*/
.wfh_sushiset img {
  border-radius: 15px;
  width: 100%;
  height: 224px;
}
.wfh_forestroad img {
  border-radius: 15px;
  width: 100%;
  height: 224px;
}

/*Games*/
.wfh_game_downloads p {
  margin: 0 0 1.5rem;
}

.wfh_game_downloads {
  display: inline-flex;
  gap: 50px;
}
/*Imprint */
#wfh_mainimprint{
  background: white;
  padding: 1rem;
}
.wfh_imprint {
  text-align: center;
  padding: 2rem 0;
}

/*About me*/
#wfh_mainaboutme {
  background: white;
  padding: 1rem;
}

#wfh_mainaboutme .wfh_aboutme {
  display: flex;
  justify-content: center;
  font-size: 24px;
  padding: 2rem 0;
  flex-direction: column;
  align-items: center;
  width: 1200px;
  margin: 0 auto;
}

.wfh_aboutme_origin p:nth-child(2n) {
  text-align: right;
}

.wfh_aboutme_origin {
  width: 100%;
  display: grid;
  grid-template-columns: 1fr 1fr;
}

.wfh_aboutme_origin p img:nth-child(2n) {
  width: 50px;
  margin-left: 10px;
}

.wfh_aboutme_origin p img:nth-child(2n) {
  width: 50px;
  margin-left: 10px;
}

/***OTHER****/

li.tml-lostpassword-link {
  display: none;
}

body.page-id-0 main#main {
  height: 100vh;
  display: flex;
  justify-content: center;
  align-items: center;
}

body.page-id-0 input {
  outline: none;
  border-radius: 12px;
  padding: 5px 15px;
  border: 1px solid darkgrey;
}

body.page-id-0 article#post-0 .entry-content {
  width: 100%;
}

article#post-0 {
  display: flex;
  justify-content: center;
  align-items: center;
  margin: 4rem auto;
  padding: 4rem;
  background: white;
  border-radius: 16px;
  width: 24%;
}

body.tml-action footer#ac_footer {
  display: none;
}

div#cmplz-document {
  display: flex;
  flex-direction: column;
  background: white;
  width: 100%;
  max-width: 100%;
  justify-content: center;
  padding: 3rem;
  align-items: center;
}

/*Hazard Background*/
.wfh_hazard_underconstruction {
  width: 100%;
  height: 40px;
  border: 10px solid pink;
  border-image: repeating-linear-gradient(
      -55deg,
      #000,
      #000 20px,
      #ffb101 20px,
      #ffb101 40px
    )
    10;
  position: absolute;
  background: #ffb101;
  display: flex;
  justify-content: center;
  align-items: center;
  text-transform: uppercase;
  top: 0;
  left: 0;
  display: none;
}

/*Material Icons*/
.material-icons {
  font-family: "Material Icons";
  font-weight: normal;
  font-style: normal;
  font-size: 24px; /* Preferred icon size */
  display: inline-block;
  line-height: 1;
  text-transform: none;
  letter-spacing: normal;
  word-wrap: normal;
  white-space: nowrap;
  direction: ltr;
  /* Support for all WebKit browsers. */
  -webkit-font-smoothing: antialiased;
  /* Support for Safari and Chrome. */
  text-rendering: optimizeLegibility;
  /* Support for Firefox. */
  -moz-osx-font-smoothing: grayscale;
  /* Support for IE. */
  font-feature-settings: "liga";
}

/*Waves*/
@keyframes move_wave {
  0% {
    transform: translateX(0) translateZ(0) scaleY(1);
  }

  50% {
    transform: translateX(-25%) translateZ(0) scaleY(0.55);
  }

  100% {
    transform: translateX(-50%) translateZ(0) scaleY(1);
  }
}

.waveWrapper {
  overflow: hidden;
  position: absolute;
  left: 0;
  right: 0;
  bottom: 0;
  top: 0;
  margin: auto;
}

.waveWrapperInner {
  position: absolute;
  width: 100%;
  overflow: hidden;
  height: 100%;
  bottom: -1px;
}

.bgTop {
  z-index: 15;
  opacity: 0.5;
}

.bgMiddle {
  z-index: 10;
  opacity: 0.75;
}

.bgBottom {
  z-index: 5;
}

.wave {
  position: absolute;
  left: 0;
  width: 200%;
  height: 100%;
  background-repeat: repeat no-repeat;
  background-position: 0 bottom;
  transform-origin: center bottom;
}

.waveTop {
  background-size: 50% 100px;
}

.waveAnimation .waveTop {
  animation: move_wave 20s linear infinite;
}

.waveMiddle {
  background-size: 50% 120px;
}

.waveAnimation .waveMiddle {
  animation: move_wave 10s linear infinite;
}

.waveBottom {
  background-size: 50% 100px;
}

.waveAnimation .waveBottom {
  animation: move_wave 15s linear infinite;
}

/* Effects */
.wfh_hover_effect {
  background: linear-gradient(
    to right,
    var(--profilered),
    var(--profilered) 50%,
    #000 50%
  );
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  background-size: 200% 100%;
  background-position: 100%;
  transition: background-position 275ms ease;
  font-weight: bold;
}

.wfh_hover_effect:hover {
  background-position: 0 100%;
  border-color: var(--neondarkblue);
}

.wfh_contentseperator01 {
  width: 100%;
  border-bottom: 2px solid #ddd;
  height: 15px;
  margin: auto auto 15px auto;
}

.wfh_contentseperator02 {
  width: 90%;
  border-bottom: 1px solid #ddd;
  height: 3px;
  margin-bottom: 3px;
}

.wfh_contentseperator03 {
  width: 90%;
  border-bottom: 1px solid #ddd;
  height: 3px;
  margin: auto 0 3px auto;
}

.wfh_contentseperator04 {
  width: 90%;
  border-bottom: 2px solid #ddd;
  height: 15px;
  margin: auto auto 15px auto;
}

.wfh_homepage_divider_line {
  margin: auto;
  margin-top: 80px;
  width: 80%;
  position: relative;
}

.wfh_homepage_divider_line .wfh_dividershadow {
  overflow: hidden;
  height: 20px;
}

.wfh_homepage_divider_line .wfh_dividershadow:after {
  content: "";
  display: block;
  margin: -25px auto 0;
  width: 100%;
  height: 25px;
  border-radius: 125px/12px;
  box-shadow: 0 0 8px black;
}

.wfh_project_element_title {
  display: flex;
  justify-content: space-between;
  align-items: baseline;
}

.wfh_project_element_title h2 {
  margin-bottom: 0;
}

.wfh_project_tabs_slider {
  display: flex;
  align-items: center;
  justify-content: space-between;
  margin: 2rem auto;
  width: 1200px;
}

.wfh_project_tabs_slider .arrow {
  cursor: pointer;
  font-size: 35px;
  user-select: none;
  display: flex;
  align-items: center;
  justify-content: center;
}

.wfh_project_tabs_slider .dots {
  display: flex;
  gap: 2rem;
}

.wfh_project_tabs_slider .dot {
  width: 10px;
  height: 10px;
  border-radius: 50%;
  background-color: #ccc;
  cursor: pointer;
  transition: background-color 0.3s;
}

.wfh_project_tabs_slider .dot.active {
  background-color: var(--profilered);
}

.wfh_footer_settings {
  display: flex;
  gap: 1rem;
}

.wfh_footer_links a {
  display: flex !important;
  width: 100% !important;
  height: auto !important;
  padding-right: 1rem;
}
/*********************************************************************************************************************************/
/**Responsive**/
/*Tablet*/
@media screen and (min-width: 768px) and (max-width: 1200px) {
  .wfh_project_element,
  #wfh_aboutme,
  div#wfh_contact,
  div#wfh_socials,
  #wfh_mainaboutme .wfh_aboutme,
  #wfh_mainimprint .wfh_imprint, #wfh_imprint {
    width: 100%;
    font-size: 20px;
    padding: 2rem 2rem;
  }

  .wfh_project_tabs_slider {
    width: 100%;
    padding: 0 3rem;
  }
  .wfh_project_elements {
    padding: 0 1rem;
  }
  div#wfh_header_container {
    height: 100vh;
  }
}

/*Mobile*/
@media screen and (max-width: 767px) {
  .wfh_sharkrescue iframe,
  .wfh_escapedeath iframe,
  .wfh_deathraceproject iframe,
  .wfh_shadershift iframe {
    width: 100%;
  }

  .wfh_deathraceproject img,
  .wfh_deathraceproject video,
  .wfh_escapedeath img,
  .wfh_defconzero img,
  .wfh_fluffyfling img,
  .wfh_sharkrescue img,
  .wfh_shadershift img,
  .wfh_sushiset img,
  .wfh_forestroad img {
    height: 100%;
    object-fit: cover;
  }

  .wfh_ap24website img,
  .wfh_angelcleanwebsite img,
  .wfh_oargstudiowebsite img,
  .wfh_wwbabyyogawebsite img,
  .wfh_kleinesatelierwebsite img {
    object-fit: contain;
    box-shadow: none;
    height: 300px;
  }

  ul#splideAncientJumper-list li {
    width: auto !important;
    margin-right: 1rem !important;
  }

  .wfh_project_element_title {
    flex-direction: column;
  }
  .wfh_project_element,
  #wfh_aboutme,
  div#wfh_contact,
  div#wfh_socials,
  #wfh_mainaboutme .wfh_aboutme,
  #wfh_mainimprint .wfh_imprint, #wfh_imprint {
    width: 100%;
    font-size: 20px;
    padding: 2rem 2rem;
  }

  .wfh_project_tabs_slider {
    width: 100%;
    padding: 0 3rem;
  }

  div#wfh_header_container {
    height: 100vh;
  }
  .wfh_project_elements {
    padding: 0 1rem;
  }

  .wfh_aboutme_origin {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
  }

  .wfh_aboutme_origin p:nth-child(2n) {
    text-align: left;
  }

  .wfh_aboutme_skills_table_groups {
    grid-template-columns: 100%;
  }

  .waveTop {
    background-size: 50% 50px;
  }

  .waveMiddle {
    background-size: 50% 50px;
  }

  .waveBottom {
    background-size: 50% 50px;
  }
}

/**Bookmark*/

.wfh_bookmarks {
  position: absolute;
  left: -36px;
  top: 80px;
  display: flex;
  flex-direction: column;
  gap: 25px;
}

.wfh_bookmark {
  width: 100px;
  height: 0;
  box-sizing: border-box;
  border: 1px solid #000;
  border-left: 25px solid #1d1d1d;
  border-right: none;
  border-top: 30px solid #fff;
  border-bottom: 30px solid #fff;
  display: flex;
  align-items: center;
  border-radius: var(--border-radius);
  transition: 0.5s;
  box-shadow: rgba(0, 0, 0, 0.15) 1.95px 1.95px 2.6px;
}

.wfh_bookmark:hover {
  margin-left: 36px;
}

.wfh_bookmark_background {
  width: 100px;
  height: 0;
  box-sizing: border-box;
  border: 1px solid #000;
  border-left: 25px solid #1d1d1d;
  border-right: none;
  border-top: 30px solid #fff;
  border-bottom: 30px solid #fff;
  display: flex;
  align-items: center;
  border-radius: var(--border-radius);
  position: absolute;
  box-shadow: rgba(255, 255, 255, 0.4) 5px 5px,
    rgba(255, 255, 255, 0.3) 10px 10px, rgba(255, 255, 255, 0.2) 15px 15px,
    rgba(255, 255, 255, 0.1) 20px 20px, rgba(255, 255, 255, 0.05) 25px 25px;
  z-index: -1;
  left: 0;
}

.wfh_bookmark_1 {
  top: 0;
}

.wfh_bookmark_2 {
  top: 85px;
}

.wfh_bookmark_3 {
  top: 170px;
}

.wfh_bookmark_4 {
  top: 255px;
}

.wfh_bookmark_5 {
  top: 340px;
}

.wfh_bookmark_icon {
  width: 100%;
  height: 35px;
  margin: 0px 0px 0 11px;
}

/*Privacy Policy*/

#ti-privacypolicy {
  background: white;
  padding: 1rem 0;
}

.ti-privacycontent {
  width: 1200px;
  margin: 0 auto;
  font-size: 22px;
}

.ti-privacycontent p {
  font-size: 24px;
}

.ti-privacycontent h2 {
  font-size: 32px;
}

.wfh_whitebackarrow {
  width: 50px;
  position: absolute;
  left: 20px;
  top: 30px;
  z-index: 999;
  transition: 1s;
}

.wfh_whitebackarrow:hover {
  scale: 0.8;
}

div#termsfeed-com---nb .cc-nb-title-container p {
  font-size: 30px;
}

div#termsfeed-com---nb p#cc-nb-text {
  font-size: 25px;
}

div#termsfeed-com---nb .cc-nb-buttons-container button {
  font-size: 20px !important;
}

.termsfeed-com---nb-standalone {
  width: 100% !important;
  height: 100% !important;
}

.termsfeed-com---palette-dark .cc-nb-okagree,
.termsfeed-com---palette-dark .cc-cp-foot-save {
  background-color: var(--neonblue) !important;
}

.termsfeed-com---palette-dark .cc-pc-head-close:active,
.termsfeed-com---palette-dark .cc-pc-head-close:focus {
  border-color: var(--neonblue) !important;
  border: none !important;
}

.termsfeed-com---palette-dark .cc-pc-head-lang select:focus,
.termsfeed-com---palette-dark .cc-nb-okagree:focus,
.termsfeed-com---palette-dark .cc-nb-changep:focus {
  box-shadow: 0 0 0 2px var(--neonblue) !important;
  box-shadow: none !important;
}

/*CREATED BY TOMI ILLES */
/*********************************************************************************************************************************/
/*IMPORTED*/
html {
  box-sizing: border-box;
}

*,
*:before,
*:after {
  box-sizing: inherit;
}
/* Extract from normalize.css by Nicolas Gallagher and Jonathan Neal git.io/normalize */
html {
  -ms-text-size-adjust: 100%;
  -webkit-text-size-adjust: 100%;
}

body {
  margin: 0;
}

article,
aside,
details,
figcaption,
figure,
footer,
header,
main,
menu,
nav,
section {
  display: block;
}

summary {
  display: list-item;
}

audio,
canvas,
progress,
video {
  display: inline-block;
}

progress {
  vertical-align: baseline;
}

audio:not([controls]) {
  display: none;
  height: 0;
}

[hidden],
template {
  display: none;
}

a {
  background-color: transparent;
}

a:active,
a:hover {
  outline-width: 0;
}

abbr[title] {
  border-bottom: none;
  text-decoration: underline;
  text-decoration: underline dotted;
}

b,
strong {
  font-weight: bolder;
}

dfn {
  font-style: italic;
}

mark {
  background: #ff0;
  color: #000;
}

small {
  font-size: 80%;
}

sub,
sup {
  font-size: 75%;
  line-height: 0;
  position: relative;
  vertical-align: baseline;
}

sub {
  bottom: -0.25em;
}

sup {
  top: -0.5em;
}

figure {
  margin: 1em 40px;
}

img {
  border-style: none;
}

code,
kbd,
pre,
samp {
  font-family: monospace, monospace;
  font-size: 1em;
}

hr {
  box-sizing: content-box;
  height: 0;
  overflow: visible;
}

button,
input,
select,
textarea,
optgroup {
  font: inherit;
  margin: 0;
}

optgroup {
  font-weight: bold;
}

button,
input {
  overflow: visible;
}

button,
select {
  text-transform: none;
}

button,
[type="button"],
[type="reset"],
[type="submit"] {
  -webkit-appearance: button;
}

button::-moz-focus-inner,
[type="button"]::-moz-focus-inner,
[type="reset"]::-moz-focus-inner,
[type="submit"]::-moz-focus-inner {
  border-style: none;
  padding: 0;
}

button:-moz-focusring,
[type="button"]:-moz-focusring,
[type="reset"]:-moz-focusring,
[type="submit"]:-moz-focusring {
  outline: 1px dotted ButtonText;
}

fieldset {
  border: 1px solid #c0c0c0;
  margin: 0 2px;
  padding: 0.35em 0.625em 0.75em;
}

legend {
  color: inherit;
  display: table;
  max-width: 100%;
  padding: 0;
  white-space: normal;
}

textarea {
  overflow: auto;
}

[type="checkbox"],
[type="radio"] {
  padding: 0;
}

[type="number"]::-webkit-inner-spin-button,
[type="number"]::-webkit-outer-spin-button {
  height: auto;
}

[type="search"] {
  -webkit-appearance: textfield;
  outline-offset: -2px;
}

[type="search"]::-webkit-search-decoration {
  -webkit-appearance: none;
}

::-webkit-file-upload-button {
  -webkit-appearance: button;
  font: inherit;
}

/**Sharkrrescue*/
div#wfh_mainsharkrescue {
  background: white;
}
